cmake_minimum_required(VERSION 2.8.12)

set(LTRAPI_MODULE_NAME              LTR210)
set(LTRAPI_MODULE_USE_TIMER         ON)
set(LTRAPI_MODULE_USE_MATH          ON)
set(LTRAPI_MODULE_USE_CRC           ON)
set(LTRAPI_MODULE_USE_CYCLONE       ON)
set(LTRAPI_MODULE_USE_FLASH_AT25DF  ON)
set(LTRAPI_MODULE_USE_FLASH_X25     ON)
set(LTRAPI_MODULE_USE_DOXYGEN_DOC   ON)

#для включения прошивки в библиотеку под Windows
if(WIN32)
    set(LTRAPI_MODULE_RC_STRINGS        "LTR210_FPGA   RCDATA  ${CMAKE_CURRENT_SOURCE_DIR}/ltr210_fpga.rbf")
    set(LTRAPI_MODULE_BUILD_DEPENDENCIES ${CMAKE_CURRENT_SOURCE_DIR}/ltr210_fpga.rbf)
endif(WIN32)
set(LTRAPI_MODULE_DOC_INPUT_FILES   doc/gen_descr.md)

set(LTRAPI_MODULE_INSTALL_DATA_FILES  "ltr210_fpga.rbf")

include(${LTRAPI_MODULE_CMAKE_TEMPLATE})
